Loading...
Searching...
No Matches
DllPluginLoaderImpl< T > Class Template Reference

class DllPluginLoaderImpl More...

`#include <robottestingframework/dll/impl/DllPluginLoader_impl.h>`

## Classes

class | Plugin

## Public Member Functions

| DllPluginLoaderImpl ()
| DllPluginLoaderImpl constructor.
virtual | ~DllPluginLoaderImpl ()
| DllPluginLoaderImpl destructor.
T * | open (const std::string filename, const std::string factory_name)
| open Loads a generic plugin
void | close ()
| close Unloads the plugin and deletes any allocated memory.
const std::string & | getLastError ()
| getLastError gets the last error if any.

## Private Member Functions

void | open_internal (const std::string filename, const std::string factory_name)

## Private Attributes

std::string | error
Plugin * | plugin

## Detailed Description

template<class T>
class DllPluginLoaderImpl< T >

class DllPluginLoaderImpl

Definition at line 35 of file DllPluginLoader_impl.h.

## Constructor & Destructor Documentation

## DllPluginLoaderImpl()

template<class T>

DllPluginLoaderImpl< T >::DllPluginLoaderImpl | ( |  | ) |

inline

DllPluginLoaderImpl constructor.

Definition at line 49 of file DllPluginLoader_impl.h.

## ~DllPluginLoaderImpl()

template<class T>

virtual DllPluginLoaderImpl< T >::~DllPluginLoaderImpl | ( |  | ) |

inline virtual

DllPluginLoaderImpl destructor.

Definition at line 57 of file DllPluginLoader_impl.h.

## Member Function Documentation

## close()

template<class T>

void DllPluginLoaderImpl< T >::close | ( |  | ) |

inline

close Unloads the plugin and deletes any allocated memory.

Definition at line 114 of file DllPluginLoader_impl.h.

## getLastError()

template<class T>

const std::string & DllPluginLoaderImpl< T >::getLastError | ( |  | ) |

inline

getLastError gets the last error if any.

Returns
  returns the last error string.

Definition at line 126 of file DllPluginLoader_impl.h.

## open()

template<class T>

T * DllPluginLoaderImpl< T >::open | ( | const std::string | filename,
|  | const std::string | factory_name )

inline

open Loads a generic plugin

Parameters

  filename | the plugin filename

Returns
  A pointer to the class loaded from the plugin or a null pointer in case of failure.

Definition at line 69 of file DllPluginLoader_impl.h.

## open_internal()

template<class T>

void DllPluginLoaderImpl< T >::open_internal | ( | const std::string | filename,
|  | const std::string | factory_name )

inline private

Definition at line 135 of file DllPluginLoader_impl.h.

## Member Data Documentation

## error

template<class T>

std::string DllPluginLoaderImpl< T >::error

private

Definition at line 132 of file DllPluginLoader_impl.h.

## plugin

template<class T>

Plugin* DllPluginLoaderImpl< T >::plugin

private

Definition at line 133 of file DllPluginLoader_impl.h.

The documentation for this class was generated from the following file:

- src/plugins/dll/include/robottestingframework/dll/impl/DllPluginLoader_impl.h